import { OnInit, EventEmitter, ElementRef, ChangeDetectorRef, ViewContainerRef, ComponentFactoryResolver, Compiler } from '@angular/core';
import { Font } from './interfaces';
import { FontPickerService } from './font-picker.service';
export declare class FontPickerDirective implements OnInit {
    private resolver;
    private el;
    private vc;
    private cd;
    private service;
    private compiler;
    private dialog;
    private created;
    fontPicker: Font;
    fpWidth: string;
    fpHeight: string;
    fpFallbackFont: Font;
    fpPresetLabel: string;
    fpPresetFonts: Array<string>;
    fpSizeSelect: boolean;
    fpStyleSelect: boolean;
    fpPosition: string;
    fpPositionOffset: string;
    fpPositionRelativeToArrow: boolean;
    fpCancelButton: boolean;
    fpCancelButtonText: string;
    fpCancelButtonClass: string;
    fpUploadButton: boolean;
    fpUploadButtonText: string;
    fpUploadButtonClass: string;
    fontPickerChange: EventEmitter<Font>;
    constructor(resolver: ComponentFactoryResolver, el: ElementRef, vc: ViewContainerRef, cd: ChangeDetectorRef, service: FontPickerService, compiler: Compiler);
    ngOnInit(): void;
    onClick(): void;
}
